#include <iostream.h>
#include <string.h>

const short	kMaxNameSize = 20;

class Employee
{
//			Data members...
	private:
		char	employeeName[ kMaxNameSize ];
		long	employeeID;
		float	employeeSalary;

//			Member functions...
	public:
				Employee( char *name, long id, float salary );
				~Employee();
		void	PrintEmployee();
};

Employee::Employee( char *name, long id, float salary )
{
	strncpy( employeeName, name, kMaxNameSize );

	employeeName[ kMaxNameSize - 1 ] = '\0';

	employeeID = id;
	employeeSalary = salary;
	
	cout << "Creating employee #" << employeeID << "\n";
}

Employee::~Employee()
{
	cout << "Destroying employee #" << employeeID << "\n";
}

void	Employee::PrintEmployee()
{
	cout << "-----\n";
	cout << "Name:   " << employeeName << "\n";
	cout << "ID:     " << employeeID << "\n";
	cout << "Salary: " << employeeSalary << "\n";
	cout << "-----\n";
}

int	main()
{
	Employee	employee1( "Dave Mark", 1, 200.0 );
	Employee	*employee2;

	employee2 = new Employee( "Steve Baker", 2, 300.0 );

	employee1.PrintEmployee();
	employee2->PrintEmployee();

	delete employee2;
	
	return 0;
}